  <div class="card card-accent-warning">
    <div class="card-header">
      <i class="fa fa-align-justify"></i>Driver Profile List
      <button type="Submit" title="Refresh Driver Profile list" class="btn bg-primary" (click)="rerender()" style="float: right">Refresh</button>
    </div>
    <div *ngIf="isLoading==true" class="progress">
      <div class="progress-bar progress-bar-striped progress-bar-animated bg-primary" role="progressbar" aria-valuenow="100" aria-valuemin="0"
        aria-valuemax="100"></div>
    </div>
    <div class="card-body">
      <div style="margin-bottom : 1rem">
       <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th>Asset ID</th>
              <th>Driver ID</th>
              <th>Driver Name</th>
              <th>KM left</th>
              <th>KM Driven</th>
              <th>Start AH</th>
              <th>Used AH</th>
              <th>AH Left</th>
              <th>P Earn</th>
              <th>Earned Current Cycle</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let info of driverInfo">
              <td *ngIf="info.assetId; else emptyStr">{{ info.assetId }}</td>
              <td *ngIf="info.driverId; else emptyStr">{{ info.driverId }}</td>
              <td *ngIf="info.driver_name; else emptyStr">{{ info.driver_name }}</td>
              <td *ngIf="info.KM_left; else emptyStr">{{ info.KM_left | number : '1.2-2' }}</td>
              <td *ngIf="info.KM_driven; else emptyStr">{{ info.KM_driven | number : '1.2-2' }}</td>
              <td *ngIf="info.startAh; else emptyStr">{{ info.startAh | number : '1.2-2'}}</td>
              <td *ngIf="info.usedAh; else emptyStr">{{ info.usedAh | number : '1.2-2'}}</td>
              <td *ngIf="info.AH_left; else emptyStr">{{ info.AH_left }}</td>
              <td *ngIf="info.pEarn; else emptyStr">{{ info.pEarn | number : '1.2-2'}}</td>
              <td *ngIf="info.earnedCurrCycle; else emptyStr">{{ info.earnedCurrCycle | number : '1.2-2'}}</td>
            </tr>
          </tbody>
      </table>

      <ng-template #emptyStr>
          <td>{{ 'NA' }}</td> 
      </ng-template>
      </div>
    </div>
  </div>
  
